/*
 * CButton - trivial ATL wrapper for a button std. control
 *
 * OOps - call it CBtn to avoid clash with WTL's CButton (which
 * we will eventually switch over to.)
 */

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "stdafx.h"
#include "WindowVirt.h"


typedef CWinTraits<WS_CHILD | WS_VISIBLE, WS_EX_NOPARENTNOTIFY> ButtonTraits;

class CBtn : public CWindowImpl<CBtn,CWindowVirt,ButtonTraits>
{
public:
    CBtn() { }
    

    virtual ~CBtn() { Detach(); }

    // To avoid having to create our own custom window class, follow
    // what WTL did and define GetWndClassName() together with Create().

	HWND Create(HWND hWndParent, RECT& rect, LPCTSTR szWindowName = NULL,
			DWORD dwStyle = 0, DWORD dwExStyle = 0,
            UINT nID = 0U, LPVOID lpCreateParam = NULL)
	{
		return CWindow::Create(GetWndClassName(), hWndParent, rect, szWindowName,
                               GetWndStyle(dwStyle), GetWndExStyle(dwExStyle), nID,lpCreateParam);
	}

    static LPCTSTR GetWndClassName()
    {
        return _T("BUTTON");
    }

    BEGIN_MSG_MAP(CBtn)
    END_MSG_MAP()

};