-- Compile demos.  Also useful for type-checking all of the demo modules.

module Main where

import Pan

import qualified DemoUtils (allBackends)

import qualified Simple
import qualified MiscDemos
import qualified CircleLimit
import qualified Blinds
import qualified Shadow
import qualified Text
import qualified Strips
import qualified Sunrise
import qualified Inversion
import qualified Rings
import qualified Wavies
import qualified Masks
import qualified SpiralText
import qualified Xor
import qualified OpArt

-- Still to be fixed up, but here for type-checking.
import qualified Spirals
--import qualified UIDemo
import qualified FIPaper


----------------------------------------


demoBackends = [Component]
               -- allBackends

main = makeAllFor demoBackends

makeAllFor bends = sequence (map ($ bends) makes)

makes = [ {-
          Simple.makeAllFor
        , MiscDemos.makeAllFor
        , CircleLimit.makeAllFor
        , Blinds.makeAllFor
        , Strips.makeAllFor
        , Sunrise.makeAllFor
        , Inversion.makeAllFor
        , Rings.makeAllFor
        , Wavies.makeAllFor
        , Masks.makeAllFor
        , Shadow.makeAllFor
        , -}Text.makeAllFor
        , SpiralText.makeAllFor
        , Xor.makeAllFor
        , OpArt.makeAllFor
        ]
