// PanTran.cpp : Implementation of CPanTran
#include "stdafx.h"
#include "TranWrap.h"
#include "PanTran.h"

/////////////////////////////////////////////////////////////////////////////
// CPanTran

HRESULT
CPanTran::OnSetup(DWORD dwFlags)
{
    HRESULT hr = S_OK;
    CDXDBnds InBounds(InputSurface(0), hr);

    if (SUCCEEDED(hr)) {
        InBounds.GetXYSize(m_inputSize);
    }
    return hr;

}

void
display (int width, int height, int input, int output)

{ int local14;
  int local6,local10,local16,local15,local7,local5,local3,local0;
  float local13,local12,local11,local9,local8;
  float* local4;
  float* local2;
  float* local1;
  float zoom = 1.f;
  float panX = 0.f;
  float panY = 0.f;

  local0 =  -(width >> 1);
  local2 = (float*) _alloca(width  *  4);
  for (local3 = 0 ; local3 < width ; local3++) {
     local2[local3] = zoom * (float)(local3 + local0) + panX;
  }
  local1 = local2;
  local4 = local1;
  local5 =  -(height >> 1);
  for (local6 = 0 ; local6 < height ; local6++) {
     local7 = output + local6 * width * 4;
     local8 = zoom * (float)(local6 + local5);
     local9 = (local8 + panY) * 0.707107F;
     for (local10 = 0 ; local10 < width ; local10++) {
	local11 = local4[local10];
	local12 = local9 + local11 * -0.707107F;
	local13 = local11 + local8 + panY;
	local14 = ((int)(local13 * 0.0707107F) - (int)(local13 < 0.0F) + (int)(local12 * 0.1F) - (int)(local12 < 0.0F) & 1) == 0;
	if (local14) {
	   local15 = 0;;
	} else {
	   local15 = 255;;
	}
	if (local14) {
	   local16 = 255;;
	} else {
	   local16 = 0;;
	}
	*(int*)(local7 + local10 * 4) = local15 << 16 | local16;
     };
  }
}


#define OPEN_READ_SURFACE(x,pBits,pWidth,pHeight) \
            CComPtr<IDXARGBReadPtr> pSurface##x; \
            InputSurface((x))->GetBounds(&bnds); \
            if ( pWidth ) { *(DWORD*)(pWidth) = bnds.Width(); } \
            if ( pHeight ) { *(DWORD*)(pHeight) = bnds.Height(); } \
            hr = InputSurface((x))->LockSurface ( NULL \
                                                , m_ulLockTimeOut \
                                                , (0 ? DXLOCKF_READWRITE : DXLOCKF_READ) \
                                                , (0 ? IID_IDXARGBReadWritePtr : IID_IDXARGBReadPtr) \
                                                , (void**)&pSurface##x \
                                                , NULL \
                                                ); \
            if (pBits) { CoTaskMemFree(pBits); pBits = NULL; } \
            if ( FAILED(hr) ) { \
                return hr;  \
            } \
            (DXPMSAMPLE*)(pBits)  = (DXPMSAMPLE *)CoTaskMemAlloc( (bnds.Width() * bnds.Height()) * sizeof(DXPMSAMPLE) ); \
            WI.DoBnds.GetXYRect(r); \
\
            rectDesc.pSamples = pBits; \
            rectDesc.bPremult = TRUE; \
            rectDesc.rect = r; \
            rectDesc.lRowPadding = 0; \
\
            (pSurface##x)->UnpackRect( &rectDesc )

#define CLOSE_READ_SURFACE(x) CoTaskMemFree ( x );

#define INVOKE_TRANSFORM(disper) \
    hr = OutputSurface()->LockSurface ( NULL  \
                                      , m_ulLockTimeOut \
                                      , DXLOCKF_READWRITE \
                                      , IID_IDXARGBReadWritePtr \
                                      , (void**)&pOut \
                                      , NULL \
                                      ); \
    if ( FAILED(hr) ) { \
        return hr; \
    } \
    /* Allocate buffer for output */ \
    ULONG outWidth  = WI.OutputBnds.Width(); \
    ULONG outHeight = WI.OutputBnds.Height(); \
    \
    /* ToDo: don't allocate/free per invocation, delay free'ing until \
       you know that the next invocation of the WorkProc is of \
       a different size. */ \
    DXPMSAMPLE* pOutBuff = (DXPMSAMPLE *)CoTaskMemAlloc( (outWidth*outHeight) * sizeof(DXPMSAMPLE) ); \
    \
    /* Invoke display routine: */ \
    (disper) ( outWidth \
            , outHeight \
            , (int)pInBuff \
            , (int)pOutBuff \
            ); \
    \
    WI.OutputBnds.GetXYRect(r); \
    \
    rectDesc.pSamples = pOutBuff; \
    rectDesc.bPremult = TRUE; \
    rectDesc.rect = r; \
    rectDesc.lRowPadding = 0; \
    \
    pOut->MoveToXY(0,0); \
    pOut->PackRect(&rectDesc); \
    pOut->MoveToXY(WI.OutputBnds.Width(), WI.OutputBnds.Height()); \
    \
    CoTaskMemFree(pOutBuff)

#define DEFINE_WORKPROC() \
HRESULT \
CPanTran::WorkProc( const CDXTWorkInfoNTo1& WI, BOOL* pbContinue ) \
{ \
    HRESULT hr = S_OK; \
    CComPtr<IDXARGBReadWritePtr>pOut; \
    DXPACKEDRECTDESC rectDesc; \
    RECT r; \
    CDXDBnds bnds; \
    DXPMSAMPLE* pInBuff = NULL; \

#define END_WORKPROC() return hr; }

DEFINE_WORKPROC()
    OPEN_READ_SURFACE(0, pInBuff, NULL, NULL);
    INVOKE_TRANSFORM(display);
    CLOSE_READ_SURFACE(pInBuff);
END_WORKPROC()

#if 0
    // Lock input and output surfaces
    //
    hr = OutputSurface()->LockSurface ( NULL // orig: &WI.OutputBnds Huh? See above InputSurface remark  
                                      , m_ulLockTimeOut
                                      , DXLOCKF_READWRITE
                                      , IID_IDXARGBReadWritePtr
                                      , (void**)&pOut
                                      , NULL
                                      );


    if ( FAILED(hr) ) {
        return hr;
    }

    // Allocate buffer for output 
    //
    ULONG outWidth  = WI.OutputBnds.Width();
    ULONG outHeight = WI.OutputBnds.Height();
 
// ToDo: don't allocate/free per invocation, delay free'ing until
//       you know that the next invocation of the WorkProc is of
//       a different size.

    DXPMSAMPLE* pOutBuff = (DXPMSAMPLE *)CoTaskMemAlloc( (outWidth*outHeight) * sizeof(DXPMSAMPLE) );


    // Invoke display routine:
    display ( outWidth
            , outHeight
            , (int)pInBuff
            , (int)pOutBuff
            );

    CoTaskMemFree(pInBuff);


    WI.OutputBnds.GetXYRect(r);

    rectDesc.pSamples = pOutBuff;
    rectDesc.bPremult = TRUE;
    rectDesc.rect = r;
    rectDesc.lRowPadding = 0;

    pOut->PackRect(&rectDesc);
    pOut->MoveToXY(WI.OutputBnds.Width(), WI.OutputBnds.Height());


    CoTaskMemFree(pOutBuff);


    // Note: Calling Release() on the locked surfaces will unlock them.
    //       (which is done by the CComPtr<> smart pointers.)
    //
    return hr;


}

#endif
